# eric4.Plugins.VcsPlugins.vcsPySvn.SvnDiffDialog

Module implementing a dialog to show the output of the svn diff command process.

### Global Attributes

None

### Classes

SvnDiffDialog | Class implementing a dialog to show the output of the svn diff command.

### Functions

None

## SvnDiffDialog

Class implementing a dialog to show the output of the svn diff command.

### Derived from

QWidget, SvnDialogMixin, Ui_SvnDiffDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnDiffDialog | Constructor
__appendText | Private method to append text to the end of the contents pane.
__finish | Private slot called when the user pressed the button.
__getDiffSummaryKind | Private method to get a string descripion of the diff summary.
__getVersionArg | Private method to get a pysvn revision object for the given version number.
__showError | Private slot to show an error message.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_saveButton_clicked | Private slot to handle the Save button press.
start | Public slot to start the svn diff command.

### Static Methods

None

#### SvnDiffDialog (Constructor)

SvnDiffDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnDiffDialog.__appendText

__appendText(line)

Private method to append text to the end of the contents pane.

line
  line of text to insert (string)

#### SvnDiffDialog.__finish

__finish()

Private slot called when the user pressed the button.

#### SvnDiffDialog.__getDiffSummaryKind

__getDiffSummaryKind(summaryKind)

Private method to get a string descripion of the diff summary.

summaryKind
  (pysvn.diff_summarize.summarize_kind)

Returns:
  one letter string indicating the change type (QString)

#### SvnDiffDialog.__getVersionArg

__getVersionArg(version)

Private method to get a pysvn revision object for the given version number.

version
  revision (integer or string)

Returns:
  revision object (pysvn.Revision)

#### SvnDiffDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string or QString)

#### SvnDiffDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnDiffDialog.on_saveButton_clicked

on_saveButton_clicked()

Private slot to handle the Save button press.

It saves the diff shown in the dialog to a file in the local filesystem.

#### SvnDiffDialog.start

start(fn, versions = None, urls = None, summary = False, pegRev = None)

Public slot to start the svn diff command.

fn
  filename to be diffed (string)
versions
  list of versions to be diffed (list of up to 2 integer or None)
urls=
  list of repository URLs (list of 2 strings)
summary=
  flag indicating a summarizing diff (only valid for URL diffs) (boolean)
pegRev=
  revision number the filename is valid (integer)

Up